<?php
namespace Mirasvit\Search\Controller\Adminhtml\ScoreRule\ApplyAll;

/**
 * Interceptor class for @see \Mirasvit\Search\Controller\Adminhtml\ScoreRule\ApplyAll
 */
class Interceptor extends \Mirasvit\Search\Controller\Adminhtml\ScoreRule\ApplyAll implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\Search\Repository\ScoreRuleRepository $scoreRuleRepository, \Magento\Framework\Registry $registry, \Magento\Backend\Model\View\Result\ForwardFactory $resultForwardFactory, \Magento\Framework\Stdlib\DateTime\Filter\Date $dateFilter, \Magento\Backend\App\Action\Context $context)
    {
        $this->___init();
        parent::__construct($scoreRuleRepository, $registry, $resultForwardFactory, $dateFilter, $context);
    }

    /**
     * {@inheritdoc}
     */
    public function execute()
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'execute');
        return $pluginInfo ? $this->___callPlugins('execute', func_get_args(), $pluginInfo) : parent::execute();
    }

    /**
     * {@inheritdoc}
     */
    public function dispatch(\Magento\Framework\App\RequestInterface $request)
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'dispatch');
        return $pluginInfo ? $this->___callPlugins('dispatch', func_get_args(), $pluginInfo) : parent::dispatch($request);
    }
}
